%define upstream_name	 Template-Plugin-YAML
%define upstream_version 1.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Plugin interface to YAML
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(YAML)
BuildRequires:	perl(Template)
BuildArch:	noarch


%description
This is a simple Template Toolkit Plugin Interface to the YAML module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test 

%install
%make_install

%files
%doc Changes META.yml
%{perl_vendorlib}/Template
%{_mandir}/*/*

%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.230.0-10.mga9
+ Revision: 1817361
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.230.0-9.mga8
+ Revision: 1497293
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.230.0-8.mga7
+ Revision: 1271618
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.230.0-7.mga6
+ Revision: 1033908
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.230.0-6.mga6
+ Revision: 940449
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.230.0-5.mga5
+ Revision: 741503
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.230.0-4.mga5
+ Revision: 686351
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.230.0-3.mga4
+ Revision: 514845
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.230.0-2.mga3
+ Revision: 373178
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.230.0-1.mga1
+ Revision: 36583
- mageia rebuild
- imported package perl-Template-Plugin-YAML


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.230.0-1mdv2010.0
+ Revision: 405536
- rebuild using %%perl_convert_version

* Wed Dec 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.23-1mdv2009.1
+ Revision: 315132
- new version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.22-4mdv2009.0
+ Revision: 258485
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.22-3mdv2009.0
+ Revision: 246511
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.22-1mdv2008.1
+ Revision: 123634
- kill re-definition of %%buildroot on Pixel's request


(none)